Work Centers With Blocking Status
The work centers with blocking status resource.
Basehttps://rest.carbon.ms/workCentersWithBlockingStatus
GET
/workCentersWithBlockingStatusList work centers with blocking statuss
Retrieve a paginated list of work centers with blocking statuss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/workCentersWithBlockingStatus
curl --request GET \
--url 'https://rest.carbon.ms/workCentersWithBlockingStatus?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"description": "string",
"laborRate": 0,
"defaultStandardFactor": "string",
"locationId": "xyz789",
"requiredAbilityId": "xyz789",
"active": true
}
]GET
/workCentersWithBlockingStatusRetrieve a work centers with blocking status
Fetch a single work centers with blocking status by filtering on `id`.
Query parameters
idstringMatch on the work centers with blocking status's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/workCentersWithBlockingStatus
curl --request GET \
--url 'https://rest.carbon.ms/workCentersWithBlockingStatus?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"description": "string",
"laborRate": 0,
"defaultStandardFactor": "string",
"locationId": "xyz789",
"requiredAbilityId": "xyz789",
"active": true
}